Package org.codehaus.janino

# Interface Visitor.AtomVisitor<R,EX extends Throwable>

Type Parameters:
  `R` - The type of the object returned by the `visit*()` methods
  `EX` - The exception that the `visit*()` methods may throw

Enclosing class:
  `Visitor`

public static interface Visitor.AtomVisitor<R,EX extends Throwable>
The visitor for all kinds of `Java.Atom`s.

## Method Summary

Modifier and Type
Method
Description
`R`
`visitConstructorInvocation(Java.ConstructorInvocation ci)`
Invoked by `Java.ConstructorInvocation.accept(Visitor.AtomVisitor)`.
`R`
`visitPackage(Java.Package p)`
Invoked by `Java.Package.accept(Visitor.AtomVisitor)`.
`R`
`visitRvalue(Java.Rvalue rv)`
Invoked by `Java.Rvalue.accept(Visitor.AtomVisitor)`.
`R`
`visitType(Java.Type t)`
Invoked by `Java.Atom.accept(Visitor.AtomVisitor)`.

## Method Details

### visitPackage

@Nullable R visitPackage(Java.Package p) throws EX
Invoked by `Java.Package.accept(Visitor.AtomVisitor)`.

Throws:
  `EX`

### visitRvalue

@Nullable R visitRvalue(Java.Rvalue rv) throws EX
Invoked by `Java.Rvalue.accept(Visitor.AtomVisitor)`.

Throws:
  `EX`

### visitType

@Nullable R visitType(Java.Type t) throws EX
Invoked by `Java.Atom.accept(Visitor.AtomVisitor)`.

Throws:
  `EX`

### visitConstructorInvocation

@Nullable R visitConstructorInvocation(Java.ConstructorInvocation ci) throws EX
Invoked by `Java.ConstructorInvocation.accept(Visitor.AtomVisitor)`.

Throws:
  `EX`